%define	name	perl-Cstools
%define	real_name Cstools
%define	version	3.42
%define	release	%mkrel 9

%define	summary	Tools for dealing with Czech and Slovak texts in Perl

Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Development/Perl
URL:            http://www.fi.muni.cz/~adelton/perl/
Source0:        %real_name-%version.tar.bz2
BuildRoot:      %_tmppath/%name-buildroot
Buildrequires:	perl-devel
Requires:       perl
BuildArch:	noarch

%description
This package includes modules that are useful when dealing with Czech (and
Slovak) texts in Perl.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %buildroot
%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%dir %{perl_vendorlib}/Cz
%{perl_vendorlib}/Cz/*
%{_mandir}/*/*

%changelog
* Sat Dec 3 2005 Tibor Pittich <Tibor.Pittich@mandriva.org> 3.42-9mdk
- mkrel

* Fri Nov 19 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 3.42-8mdk
- rebuild for new perl

* Mon Sep 6 2004 Tibor Pittich <Tibor.Pittich@mandrake.org> 3.42-7mdk
- rebuild

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 3.42-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Wed May 14 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.42-5mdk
- rebuild for new perl provides/requires

* Sun Apr 27 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.42-4mdk
- add missing dir into files section (mr. distlint)

* Sun Apr 13 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.42-3mdk
- added checking about buildroot
- changed BuildaArch to noarch

* Sat Apr 12 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.42-2mdk
- ops, fixed spec name..

* Sat Apr 12 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 3.42-1mdk
- initial import into Mandrake, thanks for inspiration by Lubomir Sedlacik

